%define beta rc3
%if %beta
%define fname %name-%{version}%beta
%else
%define fname %name-%{version}
%endif

Summary: Advanced Linux Sound Architecture (ALSA) plugins
Name:    alsa-plugins
Version: 1.0.14
%if %beta
Release: %mkrel 0.%{beta}.1
%else
Release: %mkrel 1
%endif
Source:  ftp://ftp.alsa-project.org/pub/utils/%fname.tar.bz2
License: GPL
BuildRoot: %_tmppath/%name-buildroot
Group: Sound
Url:   http://www.alsa-project.org

Requires: kernel >= 2.4.18
Requires: libalsa >= %version
BuildRequires: kernel-headers >= 2.4.0
BuildRequires: libalsa-devel >= %version
BuildRequires: libpulseaudio-devel >= 0.8
BuildRequires: ncurses-devel
BuildRequires: jackit-devel
%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the plugins package, which allows you to manipulate ALSA settings.

%prep
%setup -q -n %fname

%build
%configure2_5x
make all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std mkdir_p="mkdir -p"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING* doc/R* doc/*.txt
%_libdir/alsa-lib/*



%changelog
* Thu Mar 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-0.rc3.1mdv2007.1
+ Revision: 138549
- new release

* Tue Jan 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-0.rc2.1mdv2007.1
+ Revision: 112299
- new release

* Mon Oct 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.13-1mdv2007.0
+ Revision: 71861
- new release

* Thu Aug 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-1mdv2007.0
+ Revision: 57846
- new release
- new release
- kill alsaconf rests
- there's no translation catalog
- new release
- fix buildrequires for s/Polypaudio/PulseAudio/ name change

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import alsa-plugins-1.0.11-3mdk


* Mon May 15 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-3mdk
- fix buildrequires for x86_64 (#22430)
- remove manual requires already guessed by spec-helper

* Sun May 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.11-2mdk
- Fix Requires

* Wed May 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-1mdk
- new release
- fix buildrequires
- do not include all sources in doc when locale is not C...

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-1mdk
- new release

* Fri Nov 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-0.rc1.1mdk
- new release

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.9-2mdk
- Fix BuildRequires
- %{1}mdk

* Fri May 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release

* Mon May 23 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4.1mdk
- new release

* Mon May 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc3.1mdk
- new release

* Fri Apr 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc2.1mdk
- initial release

